---
lang: en
title: 'API docs: core.application.setstate'
keywords: LoopBack 4.0, LoopBack 4
sidebar: lb4_sidebar
editurl: https://github.com/strongloop/loopback-next/tree/master/packages/core
permalink: /doc/en/lb4/apidocs.core.application.setstate.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/core](./core.md) &gt; [Application](./core.application.md) &gt; [setState](./core.application.setstate.md)

## Application.setState() method

Transition the application to a new state and emit an event

<b>Signature:</b>

```typescript
protected setState(state: string): void;
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  state | <code>string</code> | The new state |

<b>Returns:</b>

`void`


